Subject: linux-next: manual merge of the nvdimm tree with the ext4 tree

From: [email-masked]
Date: Fri, 10 Dec 2021 17:47:40 +0000

Hi all,

Today's linux-next merge of the nvdimm tree got a conflict in:

  fs/ext4/super.c

between at least commits:

  7edfd85b1ffd3 ("ext4: Completely separate options parsing and sb setup")
  bdd3c50d83bf7 ("dax: remove bdev_dax_supported")

from the ext4 tree and commits:

  89b93a7b15f75 ("ext4: cleanup the dax handling in ext4_fill_super")
  7b0800d00dae8 ("dax: remove dax_capable")

from the nvdimm tree.

I'm not comfortable with resolving this in something as critical as ext4
at this point on a Friday evening with the code motion that's going on
so I've dropped the nvdimm tree for today, I'll look again on Monday.